#! /bin/sh
#
#  --- macro to write status file
write_status() {
    sed -e "s,GPSTIME,$now_gps,g" \
        -e "s,UNIXTIME,$now_time,g" \
	-e "s,FILEPATH,$last_full,g" \
        -e "s,FILENAME,$last_file,g" \
        -e "s,FILETYPE,$file_type,g" \
        -e "s,DELAY,$file_late,g" \
        $1 \
    >   $stat_name
}
stat_name=$1
maxlag=$2
path1=$3
path2=$4
path3=$5
now_gps=`when 0 %s`
now_time=`date +%s`
last_full=`latest.sh "$path1" "$path2" "$path3"`
if [ -z "$last_full" ]; then
    write_status no-such-file.json
    exit 0
fi
last_file=`echo $last_full | sed -e 's,.*/,,g'`
last_time=`echo $last_file | cut -d - -f 3`
file_type=`echo $last_file | cut -d - -f 2`
if [ `stat -c %b $last_full` = 0 ]; then
    write_status empty-file.json
    exit 0
fi
file_dt=`echo $last_file | cut -d - -f 4 | cut -d . -f 1`
end_time=`expr $last_time + $file_dt`
if [ `expr $end_time + $maxlag '<' $now_gps` = 1 ]; then
    file_late=`expr $now_gps - $end_time`
    write_status last-file-old.json
    exit 0
fi
write_status file_ok.json
