#! /usr/bin/perl -w
#
# procmgt file I/O

#===========================================================================
#
#    Get the creation date of the specified file
#
#===========================================================================
sub getFileDate {
    my @pStat=lstat("$_[0]");
    return $pStat[10];
}

#===========================================================================
#
#    Subroutine:  getFileName
#
#    Arguments:   file type
#
#    Global variables:
#                 input: $FileBase, $Node, $Debug
#
#    Returns:     File path
#
#    Purpose:     Return a fully qualified file name
#
#
#===========================================================================
sub getFileName {
    my $File;
    $File = "${FileBase}_$_[0].$Node";
    print "Try file $File\n" if ($Debug);
    return $File if (-e $File);
    $File = "${FileBase}_$_[0]";
    print "Try file $File\n" if ($Debug);
    return $File if (-e $File); 
    print "No valid file for Phase $_[0]\n";
    return 0;
}

#===========================================================================
#
#    Subroutine:  tStamp
#
#    Arguments:   none
#
#    Returns:     The current time formatted in a standard way
#
#    Purpose:     Get the current time to be used as a time stamp for the
#                 Log file.
#
#=======================================  Generate a time stamp
sub tStamp {
    (my $sec, my $min, my $hour, my $mday, my $mon, my $year) = localtime();
    $year += 1900;
    $mon  += 1;
    return sprintf("%d.\%02d.\%02d-\%02d.\%02d.\%02d", 
		   $year, $mon, $mday,$hour, $min, $sec);
}

#===========================================================================
#
#   Read a line from the specified file handle. Comment lines starting
#   with a '#' are ignored and a trailing '\' indicates that the line 
#   is continued.
#
#   p0 - reference to the file handle
#
#===========================================================================
sub proc_read {
    my $fh = $_[0];
    my $Line; my $Cont;
    while (defined($Line=<$fh>) && $Line =~ /^#/) {}
    return undef if (!defined($Line));
    chomp $Line;
    while ($Line =~ s/\\$//) {
	if (defined($Cont=<$fh>)) {
	    chomp $Cont;
	    $Line .= $Cont;
	} else {
	    last;
	}
    }
    return $Line;
}
1;
